package thyyxxk.webserver.entity.zhuyuanyisheng.emrcontrolrule;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class EmrRuleUnlock implements Serializable {

    private static final long serialVersionUID = 72961059346902112L;

    /**
     * id
     */
    private Integer id;

    /**
     * 住院号
     */
    private String patNo;

    /**
     * times
     */
    private Integer times;

    /**
     * 电子病历id
     */
    private String emrId;

    /**
     * 病历编码
     */
    private String code;

    /**
     * 可以修改到什么时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date date;

    /**
     * 申请人
     */
    private String inputId;
    private String inputName;

    /**
     * 申请备注
     */
    private String inputRemark;

    /**
     * 审核人
     */
    private String reviewedBy;
    private String reviewedName;

    /**
     * 审核备注
     */
    private String reviewNotes;

    /**
     * 0-待审核 1-审核通过 2-审核不通过
     */
    private Integer flag;

    /**
     * 申请时间
     */
    private Date inputDate;

    /**
     * 审核时间
     */
    private Date reviewTime;

    /**
     * 电子病历名称
     */
    private String emrName;


    public String getFlagName() {
        if (flag == null) {
            return "";
        }
        switch (flag) {
            case 0:
                return "待审核";
            case 1:
                return "通过";
            case 2:
                return "拒绝";
            default:
                return "";
        }
    }
}
